Status: Closed Start date: 25 Mar 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: EmacsUI Estimated time: 0.00 hour

Target version: CoCoA-5.1.0 Easter14 Spent time: 1.75 hour

Description

The instructions on the web site do not work because the OS refuses to run a script of unknown provenance.

How to insert the relevant lines into a user's .emacs file?

History

#1 - 25 Mar 2014 14:19 - John Abbott

Our solution should handle several cases:

(a) new CoCoA user with new emacs installation (i.e. no .emacs file)

(b) new CoCoA user with old emacs installation (i.e. .emacs exists but contains no CoCoA code)

(c) existing CoCoA user, and .emacs contains just CoCoA stuff

(d) existing CoCoA user, and .emacs contains CoCoA stuff and other stuff

In cases (b) and (d) we could count on some (slight) cooperation from the experienced Emacs user.  In cases (a) and (c) we cannot count on any

cooperation.

#2 - 28 Mar 2014 08:42 - Anna Maria Bigatti

- Status changed from New to In Progress

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 50

Alessandro Cartatone found this page (that means: there's nothing we can do except telling the user how to do)

http://osxdaily.com/2012/07/27/app-cant-be-opened-because-it-is-from-an-unidentified-developer/

Added instructions in the download pages.

#3 - 09 May 2014 13:20 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

This is the best we can get.

Moreover new installation is easier (does not require set names or folder positioning)

Closing.
